> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a 3DS authentication request

> 
 Updates a 3D Secure (3DS) authentication request and sends the result to the access control server (ACS).

 3DS is a security protocol designed to authenticate a cardholder during an online card transaction. If the cardholder fails to authenticate, then the transaction is voided.
    



## OpenAPI

````yaml /autogenerated/openapi/cards.openapi.json patch /cards/3ds
openapi: 3.1.0
info:
  title: Cards API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /cards/3ds:
    patch:
      tags:
        - Cards
      summary: Update a 3DS authentication request
      description: |2-

         Updates a 3D Secure (3DS) authentication request and sends the result to the access control server (ACS).

         3DS is a security protocol designed to authenticate a cardholder during an online card transaction. If the cardholder fails to authenticate, then the transaction is voided.
            
      operationId: updateMarqeta3DSRequest
      parameters:
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: personId
          in: query
          schema:
            description: The ID of the person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a04
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                authenticationMethod:
                  type:
                    - string
                  enum:
                    - BIOMETRIC_FACE
                    - BIOMETRIC_FINGERPRINT
                    - VOICE_RECOGNITION
                    - IN_APP_LOGIN
                    - AUDIO_CALL
                    - VIDEO_CALL
                    - OTP_SMS
                    - OTP_EMAIL
                    - KNOWLEDGE_BASED
                    - OTHER
                  description: The method used to authenticate the cardholder.
                  example: BIOMETRIC_FACE
                authenticationResult:
                  type:
                    - string
                  enum:
                    - SUCCESS
                    - FAILED
                    - CANCELLED
                    - NOT_AUTHENTICATED
                  description: The result of the authentication performed.
                  example: SUCCESS
                acsTransactionId:
                  type:
                    - string
                  maxLength: 36
                  description: >-
                    The unique transaction identifier assigned by the ACS to
                    identify a single transaction.
                messageVersion:
                  type:
                    - string
                  maxLength: 8
                  description: The 3DS protocol version used by the 3DS Requestor.
              required:
                - authenticationMethod
                - authenticationResult
                - acsTransactionId
                - messageVersion
              example:
                authenticationMethod: BIOMETRIC_FACE
                authenticationResult: SUCCESS
                acsTransactionId: string
                messageVersion: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  success:
                    type:
                      - boolean
                    description: Indicates the outcome of the operation.
                    example: true
                required:
                  - success
                example:
                  success: true
      security:
        - CommonAuth:
            - cards:read:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request PATCH \
              --url 'https://api.equalsmoney.com/v2/cards/3ds?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "authenticationMethod": "BIOMETRIC_FACE",
              "authenticationResult": "SUCCESS",
              "acsTransactionId": "string",
              "messageVersion": "string"
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````